param N default 0;
param b default 0;

set Items := 1 .. N;

param profits{ii in Items} default 0;
param weights{ii in Items} default 0;

var x{ii in Items} binary;

###########################################################################

	param nrCovers default 0;

	set Covers := 1 .. nrCovers;

	param coverCoeffs{cc in Covers, ii in Items} default 0;

###########################################################################

	maximize payoff:
		sum{ii in Items} profits[ii] * x[ii];

	subject to budget:
		sum{ii in Items} weights[ii] * x[ii] <= b;

	subject to CoverCuts{cc in Covers}:
		sum{ii in Items: coverCoeffs[cc,ii]=1}x[ii] <= sum{ii in Items: coverCoeffs[cc,ii]=1}1 - 1;
		

###########################################################################

	param obj_sep{ii in Items} default 0;

	var z{ii in Items} binary;

	minimize separation_min:
		sum{ii in Items} obj_sep[ii] * z[ii];

	subject to thecover:
		sum{ii in Items} weights[ii] * z[ii] >= b + 1;

###########################################################################
